ghc-7.0.3: The GHC API

LlvmCodeGen

Description

This is the top-level module in the LLVM code generator.

Synopsis

- llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> [RawCmm] -> IO ()
- llvmFixupAsm :: FilePath -> FilePath -> IO ()

# Documentation

llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> [RawCmm] -> IO ()

Top-level of the LLVM Code generator

llvmFixupAsm :: FilePath -> FilePath -> IO ()

Read in assembly file and process